GNU bug report logs - #30756
GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking #include_next

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: julien lepiller <julien@HIDDEN>; dated Fri, 9 Mar 2018 12:12:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to 'GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking #include_next' from 'gcc7 doesn't find stdlib.h' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 8 May 2018 13:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 09:21:38 2018
Received: from localhost ([127.0.0.1]:53587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG2Yk-0004qs-9y
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 09:21:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fG2Yi-0004qe-RM
 for 30756 <at> debbugs.gnu.org; Tue, 08 May 2018 09:21:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fG2Yc-0005US-Nt
 for 30756 <at> debbugs.gnu.org; Tue, 08 May 2018 09:21:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45786)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fG2Yc-0005UM-KZ; Tue, 08 May 2018 09:21:30 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54472 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fG2Yc-0006h2-8l; Tue, 08 May 2018 09:21:30 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87sh7393lo.fsf@HIDDEN> <87k1sff3ek.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 08 May 2018 15:21:28 +0200
In-Reply-To: <87k1sff3ek.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 07
 May 2018 19:32:19 -0400")
Message-ID: <87h8ni471j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org, Giel van Schijndel <giel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
>> I pushed the patch as a stop-gap measure in
>> 91a56b4ab5e714e230c0088fb9f5ce0519efe1a0.
>
> FYI, this did not fix the build failure of 'gjs' on core-updates.  After
> merging 'master' into my private branch based on 'core-updates',
> including your commit above, I tried reverting the workarounds for 'gjs'
> that I described earlier in this thread, except that I left 'gcc-7' in
> the native-inputs.  It failed with the same error as before.
>
> Looking at the full log, I see that in the 'set-paths' phase, although
> 'CPATH' is now being set thanks to your commit above, 'C_INCLUDE_PATH'
> and 'CPLUS_INCLUDE_PATH' are still being set as well.  I guess this is
> because gcc-final (based on gcc-5) is still included as an implicit
> input for gnu-build-system.

Yes, that=E2=80=99s what Giel reported as well, and Giel ended up having to
explicitly unset the *_INCLUDE_PATH variables (which come from the
implicit gcc@5 input, indeed.)

Thanks for your feedback,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 7 May 2018 23:33:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 07 19:33:33 2018
Received: from localhost ([127.0.0.1]:53307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFpdN-0007C8-0p
	for submit <at> debbugs.gnu.org; Mon, 07 May 2018 19:33:33 -0400
Received: from world.peace.net ([64.112.178.59]:58586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fFpdK-0007Bw-Q0
 for 30756 <at> debbugs.gnu.org; Mon, 07 May 2018 19:33:31 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fFpdD-000625-Qx; Mon, 07 May 2018 19:33:24 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87sh7393lo.fsf@HIDDEN>
Date: Mon, 07 May 2018 19:32:19 -0400
In-Reply-To: <87sh7393lo.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Mon, 07 May 2018 12:12:19 +0200")
Message-ID: <87k1sff3ek.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org, Giel van Schijndel <giel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Ludovic,

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:
> I pushed the patch as a stop-gap measure in
> 91a56b4ab5e714e230c0088fb9f5ce0519efe1a0.

FYI, this did not fix the build failure of 'gjs' on core-updates.  After
merging 'master' into my private branch based on 'core-updates',
including your commit above, I tried reverting the workarounds for 'gjs'
that I described earlier in this thread, except that I left 'gcc-7' in
the native-inputs.  It failed with the same error as before.

Looking at the full log, I see that in the 'set-paths' phase, although
'CPATH' is now being set thanks to your commit above, 'C_INCLUDE_PATH'
and 'CPLUS_INCLUDE_PATH' are still being set as well.  I guess this is
because gcc-final (based on gcc-5) is still included as an implicit
input for gnu-build-system.

I've attached the full build log below.

       Mark



--=-=-=
Content-Type: application/x-gzip
Content-Disposition: attachment;
 filename=4aicj1qqdvlvssr14zr8fnmzcbbgf3zk-gjs-1.48.6.drv.gz
Content-Transfer-Encoding: base64
Content-Description: Failed build log for gjs on core-updates

H4sICDDd8FoCAzRhaWNqMXFxZHZsdnNzcjE0enI4Zm5temNiYmdmM3prLWdqcy0xLjQ4LjYuZHJ2
AOxdSXPduBG++1eocvEhRZn7MjeN7XFcUcZTHk/V5KQAJAEuIB8IPHH79QGfnIyLAB01NJXTu0lP
6m4svX3dLUiekTjXPb3hFZLlzb9keXZ+/fTb57fvnXd3X94773/59PZvr19996c38jHPy7IoixtE
zqW4cW/dG1nmp76Qr6RBAEfnSr5+VfZjLU59V/bnmxGJGmGmfuGXuy8by/J8cz7d/OsN7R/fyPNJ
lG94Jqd8XsMsHwfSuEMTkjZp8g4VfhhGNXFonjvJbXDrvsF1/8M3lKjPIybdpqcxYS5K5nqheG3r
YBTBkNeZQ1mNHf82im9dR9Hu6cdmHqq+j0bi+wEXvB3ipQ3GvGHjUMxe5PCWOmq7pKaOe+tnt/6e
Q8tCIlIvIFnaVd7ayBhPLRIF7cU612nuqAXMHfPVIrLbdE+dhgUdPbp4+dLJIFlZt7RcIoL5hLtk
Fk6BH6Xj3Xr+bbynJRihaQjmkQ+8b0JRVLge0rZrOxKrr0bn8VwzJb5/nJXwwH8xvdwxEF3i4YQv
88DzYqw6PJK6jgM2ZNhfiix25pOgjizFWIptD5m+h2pusq5YK9zMHWmiIM4FkXnukmqa1nBcHKVj
ijTQLr7Ng5lKrhYciyWWfJnSJBzamOOZ8Gb2HbrWXFFme8JhnMYJk9WvuqZzJV8zX/beFIhIpMwn
qYMVoa8oXX21ResHQsxev+S0IoMIfLXz3o89zly68NCZVye6VWelCa1mWtClXga/ZmPlJWQgk9s3
fGA0pDJ3SM1KRapfUj0R0eAljVM8JyTP444wf3WztPG9dolap6gJ2S5KOoG+4CFLmevX8dRMwejO
6Yh56Pc0naZpFjikm73mlbrdRKfNl8mT0ZDIZGDuOLUkCMXaYDcX8eQNPVdr7osnyeFtrJumUi+m
lDhcBlZgMuYcIZ+zqg3XZJQrWx2KplaR+rfentQfKa3iFqWBi5NgRFPc5WkrhqmNMjJlndKpQlFG
2mHFWeAHo+cmyiU0HvNHwqam9roiChJEa4eKkqtz0gTGAW1pX880npugy3LK/KjG/jqzyOvp5CoX
IMqnvabKC+zJ+9n3yMBw2tTzVGGZBjMjPENBFfGAZsjpUFuatyqwQH0xJqhflStqRegWCWnVd1JK
1obYwUhWTlf3dYeYYhEqM9rzwNGcpHGhpEV+46885Hxka1a0yooXdd0OK5xJIM6VGWrXJEU3VH5W
8C5ym7RtPI4H6gtauVEwKaXevObTzn2DGa6imio2DG3kDZLhomjDXJnP6vOA8HEuLp47uo109WAh
Ey6J8qZweywRIimOii6fPOQtCxfBxXPnSqifvIR077OURo8LDhh3secPHa2nJkiiEPVJITzhSkeU
qFA+r1TxxtUNWSQdStuc4dalPFyUWiq3FZKkW6YujEXv5EgFvs3ZqYvS9uyGhcgy1x+KummHLvRI
MvaS0inLUZGNuUNPuCnzs1P3Z3GSXH1Zn3rFLTLYl1cwKnsVZ6LMb9d1zcLQ9+c1WRBeVChcne6k
opETpJva3YpcY5D5dKwnKeoRizGTcUSSKqFKdxscLPmgdAYtTCnnthvDBQZDleExWUkeuL6MlrpK
6pZHeEynhXuyUL6lp9tRhL5OXPWi8mq5KF8dLU3SF4PrDgRxt0qyuUWjQ4vW4fWMH8lf5Ug33YtV
ENSUN6N4iIfEn7KRJKty6KhriFdPHlnSKK6cPn8UspROrFteGidZztN0oVEjBn/w1AHOxAtrrJbf
8mQL3FwZj6ecWxBqiQdPSIDaKAlROA5eSoXgqHUL1tKoJ4Xy6KIszwsvt7ivHd3UNcVSpxVvUdtE
DekoKxhiQb3OlHWNQ079+WvWoS7PkPckXlgsGc48VxSjXNJahYeY9YE6wUBZ3+r0kgvH5CxqMiRr
X1dFnCaYriFt+2xcvEK2sdsmM3NkhYRyr13dlUoPyXaDWtqSuKkfVU3NYjdxaZLLoOuKnkydinMU
BbFTziqybBZocNLLXNXNyJWeoiqa8mIZpwbTvummNk996dT5Y5g7sadfGYR0b/jdNM+u23aZqHsR
D/kwx3MduV2nHGQ1e4uKDYhX9bncYr8KERfhR5ns2z8jla37nD0W5QuSSQMHUEJpoAcnhQYeNnmh
gQ0oUzPQPz9bMwl/fsZmPsVn5z4Gckg+YSAHhnQDB0BYN1BD4rOBfHRDVE2BDCI5USlD6aEIT2Ka
EO5qlk8OPbd/VVmc72+pmGn/wBhvUmFYnDdweFmsNzCEx3vT2YYZIUnQZ0lYeF5cj2kaNyLz/T7J
hDo0h+eiVDluaFQsMquj9CfOPU/WJPYCNBdoTmg3rZLGLXfWDW172wKM9AzFQ9jVoQrNysHNjZe1
7hBELlM3O5I+vDgGLk7nk+O7nlqFiQmXbJxSHAq3i8YOr37HkqnKR3/CBUdRsqUNHeoVXA/CA/1s
Pb8eQ7cSEe1cf8zjuMOETGzhdPZH7nSlRI63eWmjj80aogJQkOClTZOBkjodvMAN42Hkc7uM8yVz
yGuU56WUah2ecR/xFM6+yh7qVEqq8o4EJUvFY87rvBV+L746WcVL3UilNLYUG9JSCucb3R00nTOw
gKV0JrPhhIgc0X5OV5QvOEmrrEFJghsfhz1fL/GrQB2i5bYM8wXPopNJE7ZkxWk2Mh4OPW19tYRe
ZYuNWsXGpMX5qetO2zWn5rWkSTq0eBnjnlXBUDR4rN2uKkaeuUtOFnZho5yAUMu5LMboCKibhZPI
ccZduRZFgEQTShnHhNEI48x94qLok1ujL8pp1+I18mI2F7U7LV0b1INLh3aZYyz6+EK/JamnSyhU
V2Pi0mVyRIjRdGC1hxDy0lSMLBwTVrizsp6NS8lP87L5D/Nx2GbcBlYLl7SbPVfdSUPWFBOU5TkO
usIXIk166aBzu3n31ByeXIajSo5ECJWzBl6OxCSqMGvqKRyIulhF7khe+/9hEx9EOUjub6BvqBwk
Tvwh9NqGirn36RC17hoEaT8NRFxuRpR9saFmlW6Z3XzEw4K0DW/jpaZslV6wZLLJqmGNeIz6p4yt
nM+XpNIcalJl8lkcyEgF+SRVepKES+D5cdB5ZFa53sbB8y44xKgcQCBjsriMEWW1LExWjONWEN5N
XeB1iSsz3rrut1VUEz0MDJkcDxwQmSIDlwtrcz75pPVZu1ZTU8TuvIiMNixxx+0gCKm31MGsEgBU
ZbqHICr6hPTeulSJYoJRVnteQdOlIj2Lu8tFziSNx+7Y+S154yerl3RBHw2NJ6Z+mYuhFW3C6izx
nrRBVh0p+3zzoUaVSvNqyLJwDBN1/WEXIt6qNBCzKMuWNWHVhQmpZ2Uc0VEGtLhb0ueSRYbMpywT
HOduFhEVUIbQ9aKNx6gC7uOT2zImG6PEAvOZdMEgSD/ieiFxMrikCfpY0ouFFaJTNxreZuZEeFFH
GYu0V3pIpyEtAo/1RZMNcVtVHE2OwqoEP67rxQEbwyIWNMhT6Q29giJYqrQ0GMM5WkOUZrjK6X+9
zVbie3I3Rqc3d0UbrW7UDjOfKKJzxUaVVc4BSf1ixsGTI9+yH894niDIbKCHYF9TBAHDX5PnTiiv
k2L2RSOjMepVdh1hX7YJnSWr6ye9Upk+v+iE8RhxhhCfmtXvK1H7Yd2tS5gpP5fGPU2b8SlDuCiV
+0fydQTD7z/++Pnu8z8fDtE4EE+r76yx9I4WjKN39DYYescChJ93tM/Hznuhz8fN+ok9GzPvSIGA
d0cNgas7Ui+Oqybl0dizQYa0qsIlpkkY1fEwZ8UiviF15Bmd63zPoa29LvRpIH2GxrATKl2XOfWw
coxDES3rVw6PZ3Vf7JQjVkrjSmCgeX9+QMC811UYWN5Rvwwo7y8EDJL35/h8gLzXXwg43tECMe1e
gSF4dkdrgWX3HIC4c0cOw5x7zQPjzR0DG6y5jxJwnLnjAMKYO1oLfLnjAMWWO3JbXLljA8GUewdi
gSf3DhCCJXe0FjhyxwGIIfc2AMKPe+WFYce99UBw444Whhn3TgOOF/ceF4QVd8QAnKhZy5oldEk7
PC2kyZCc0nhO5yXmWVNEKou/pIUdylWke0rrNEuBw8y9qYEh5n4FUHi5XwAQWu5DNAxW7qihkHJH
bgUn92YDgZJ71YPAyB0tBELugwQYPu6dNBA67o8dBBv3SWE6Ipa5aTIPiYrmMlXG4gvWtbFfRAKT
i5M7V1uSq7L0R7zlORerOcKdv7/78PDu7svdw7uPn399aRv40m9/4UyixgMIfDV6EPTVqOGThXsO
NvBXY/L84UL9/J49XqiRgmC3Rv184K0Lfj701miBY4a6bMigoUYNHjU0adyziwca8bPHDfVje/bA
oUYKHTnUGECGBHT7shk71LgA6y4aPWDMQKMFDQFqLhZULdH3DayX6McPq5ho9C+rmejH8fyih255
kLKHfovgiQCNBbB2oi8BUj3RqC3qJ7oreMkkgH6ZrGZUQZnYdad1nd25G1Y0D8vcLKKIIvrfeszl
WPMTk0+Jpr41YGFHYwAr7ehGAi7uaCxsyjt6LgQv8Gg8QCUePT7CizwaD2iZR8+mLAs9GiNIqUf3
fBbFHt1/Q8o9GrVFwUfjASz56LYBKvroKg0r++h2BSn8aNSw0o/uVuDFHz1ogMo/GjmgAGSwI3gJ
SL9AcBFIN0NwGUhfBbQQpC8CWArSox2sGKRn0cBykA4BrObpNTZWdSXdLiGVJV2rIbUl/SAgw/la
dALXl/TIAKww6VcAqjFp5HZVpgubozrTh4+fHt7//uXz3cM/Pr377f69udYErcK/ofXpTXcqHll5
/Ke6f//w8PbTzz99/PBnDle84S19cswvGbMwc7EZuDBzshy9MDMDDVKYWYBb+wfbAnfpzXxe3K83
s7Xq3B8cGKiHf6BOwG6+mYslvDUzgw8JHCwKOC5g5mI3OHBwYS+BrAfLg08lmBmB5xMOrM9mUsHM
ynJm4cD5Wk0vmHlB5xjMXOwmGsy8LGYbzIxeMOVgZgicdzhwxXaTD2Zm0BkIMxe7aQgzL/hcxIHt
QSckDkwFPCtxYL/QfM3IBTw/ceDerCYpDgIUdKbCzAY2XXFkr1ZzFgcXbzNxcWD2NrMXB6uymMI4
WBR8HuMgjoMnM8x8LGY0zIxeAM7NDG3HPw48AXAQ5MBegCMhB0cFGw45iLc2YyIHsQ0+MHJwZdDR
kQN8YjtE8ge716+2PvalDS9/uPn27IN4UY6q8EJC1CU2RRilXU+ZGwZxN429Q5vNS4WpiixnJG7n
VakO++Hm59P5Bt0UtVAY6ySWI/aAYZSvbLd3v6qbjdPNSfxvAeBXuOzEWAzG2AkCVjbshIDKHnYi
wDUROzE2BRM7Sc+f6LG8+GeP/djxB80G2Yl4fsHJcgvPnzKyEwAcRbLcBWReyU4EeKjJ2safPflk
J+HZ41GW9/3sGSo7/tBBKzspkGksSy9rM7JlJwr2oJydDODsmJ0QwICZnQDIFJqdBIs/MbSMfbZ/
iWiZzIG6GpY6BpzTszRMWGPFTsjLui6WqgduyViqwvP7NZYxEtLMsXQE4E6PnRxgE8hyM5AOkZ0I
i/aRZfh/yXClpT5btrMsTxLY6bKTAmuDWTpScI/MTo5NA80S48O7a3aCQK03SzwD78vZCYI27SxL
CZYdPTtpkHafZYJg0Qu0zKogjUI7ERZdRDtBwBajpV8D9R8tPQ2sOWnpOCGdS8tSMqitaRnL4D1P
y2QN1BC1kwHolto6Sngr1VKHwX1WS2cMbsJa7gfaobXcDrB9a5nUwnq7llU0YOPXsuJo1RW2LKXZ
NIwtvTOkm2zpbCCtZsvLAfShLfNLcJPaMiMDdrAtFQzU3rYsBFn1vv+HrIOnFf5x//D27svd/acP
Dz99vIy8P/ayPB/8+o93v/7t4f7T3bu7H9Xvfp1V/x7B24ePP7+9/+3d+4frE/7XJ/yvT/hfn/C/
PuF/fcL/+oT/9Qn/6xP+1yf8r0/4X5/wvz7hf33C//qE///rCf+3v9z/9usVk18x+RWTXzH5FZNf
MfkVk18x+RWTXzH5FZNfMfkVk18x+RWT/98x+YffPv7+cP/p+J/cv+Sflr15+uC7sj98+XtwXAuA
v4emPlDfu8fP7D18+ecv7+8//vinCq2Fyh1kvQ07bOf+576h9j3u8CervsftJU8ffY8v9AWk7/Gy
eTDke/ysn/nYMz1SuS/vP//j488/fTr+DyLwN4rfnEvRbeNqr1/xCkklRbHd/pC5kq+3IZy8LIuy
uEFE/d6Ngk9Kqor9hXwlz0ic657efCWre/UJY85/LPVRbj98XfYPv/16uxn165unH92Qk7jJ0bmk
ars3f7l/+3B3f/+XV2Y2hiW4h0t47DnK29ev/nj44s23Xz/lLLfyEX/7KXo8n2jZ38rq20+7U946
zb/be7blto1kn62vmFJ2V1K8ICWKkixWnFpLlrXale2UZVdyKieHGQJDAiJuxgASmYet/Zr9sPMl
p3sGAHGZAQFKvpwqpyoWMdO3ufV099wwOsGDJALfsWcWs1/TORNBJxQ3ZjzuUa+YD62KXyE4gFDQ
fkMW/kZNgzGgnr0GsBXQTEQV05O266Ez3mYb3mYYduJegb96c/MeGruYhJXXryVEiW/gj1oGfuMP
XiVdyhXCrgGJggD7TjOQGdyBTzpj/RYgJjVtNvYDPE4b+BtgcMcLXTbGE9um3bvlG1NgC2YmMeqM
MUbW+ENoTRNfTCPtaLgBhaH6j5tXUeC9S4dOF+6Of0ddx+pYgyUsoSYehFsd+4aANERmb5al9hae
+xAu0UOrZ8KmqPIfhPxYQmiqTOa2rjPU+zSaqQduXSN3bIo2GsOuAYhMUGk9nD2KuS8+vP/723c3
5UlDXI/cV6Wlf/VCZ4B8yWPmVYXNcmWoO1W4PbsBBGbwZiKOiPzxJJpSk+lAuTPzqVvVIDmhwOeB
q0XOyqzLpo7vBkGoIR7fM+ZXhnI1j31MRD/ka2iIv9cOzNMt4GCUa4ora5avqzQJtwYIRoZH40ZO
qLxphN6g5YAlqKOERg/27wZSzZLKL3VvuuUffKdZzIjNcILQsJgxMJAWzRTSqsJOC6rRX1Ov4C60
aoB19SahoA8L+TRAMIM212xjuQJQlOtKlQ549VjOdJeaC+ZGjqVROavcy7fCMVxL5TKer4e5dibr
gZxgjcpQFtcFF7O5q0GLUndty2aKp1k/ru9qoTXVdTXpTCQRKyZmzkvZlzi3oVjsOpipPIie4xeT
31z8fKOgyCxp9fab8vAWn1vK4U9N2iZQ4b6UpaiCczNywrg9ZLOcGQx+/UwjH6xwXnG/mlDOA8+j
vnWNsjdj3TbLcSvppYPjCtSAbOlyB9RgvVZPXjpoFtNzl3LeDvxGqoRWsJcvz5KWZK/rw0sD+V45
D2qAzxV6UAGa9bd2pappIl1VKQ0UBbAZoD+z6CVOG/ZXr2nEbchx2lSZyvBrAKPuPV3y93YU3PP2
xL0kTqh75YVBFPc3waEb8pp0wIO/vmMGFmuPw5PJi34XWPjnrDvChP7RUSaBNgZ/x4nH401wp0Ew
oVF7zK7w6um/FQLq3fpE3gq1NDbei1jMBlTeMfSENkKtGxeaUfxKZWKrWBRmw3aEE9+iGJylbjuE
n2hEvZuQmS01qtrs00G3n1g4c6ftIC9AgmVsQxOfUe60lLvjHHqpdA10wO+XIetQ1LNlzF5EEV22
JC+tgJYMbnmCXtFsFYyoePMaLm+g1/CwdQWtGuHCN2nIExe8fqsl7sJkoco31hkHIuDesrJaqQ7R
I8QUUrMk7h3/cNCvp7y7ePHy9UUvXsT1vNxivjPrmWls3+6Jz4qRmoJEDGoPnGrUWBOq4CBO7Xv8
zux5dK7KFkVUZ2JCed2tiVA7uBnaYCizHqRYqAawSeK4lhGhIm2AslgMMjH/romh3PixDiBriVI8
jYaGFTnQpyt2O/5M1bzBI5P3vLnSVSqvsVBTrBH1vGExVY5M3bpNKtwsgalHuZ7DFhTNRF7hdf72
p/+6enPZu778qbR6gVHDfi3BDWZl11Okeg43q36ZyMB1b2UGTHhBpMyx8dbWBXR0LT1bj2MrBVZR
EiLbGrnscsV6IdSf0kPuUfXamWLdzBv2K590MU5pR+OpS2d8PHOiSpsDmBsHqbKrZQEFh48j5jLK
mTLbXORMxjy24FPBwJnEQeC2xB8fHKghy0UxxR8NpMXGefhHCWEzc57zRUqqagECHKNzKgq4Rudb
GlSFtItFk7xF2CZ2YDbOG6BksXIgVZn+FUwwhhQzVSZPZjRqUxzX0ggRztXVEbGPiROxsQXd14dp
WAUDuGkJshhUDaqk/Zsqqti0VTqzSmxjdlsIFlaG8kwYLDR01OsGElUZyMcs+L/H47AypZb42Wpu
1tKnnmMaprCptEKJQyw8jhSLsUUuOLuyCHz9Ojuvvl6SJddgYQo353phlMvmmB0lfux4rLkYavlF
fFlf9xIdWyCOErzlBG/4XCwVxRS3ZdXTxWZOVQy/UsfK6QRhfBrDrNyIi6vldYBJbmM3t65Y1GvA
tjWVtr4n60ujb4rmGtQMgRqOk1m22q7SUJ8N5LRFrveQCmjN9KkZWbiRLzQrQzkzefrKRDuOw/R4
WMWGz0FMN4ljffbMCQyz5oavsmuRvjxLGAi3YSluPnP6lc9pwRm3K3kzbNlalTr9O+om+vQqFVHb
igViZHCLBskYICZQ4VYlF/q9gokUqkqJ+YmH1j5OCtU8nzfJVOfg5H54PU/uEWxkr0WqZ+D6vjOr
Swy2OUfTr47hqwTOwG1tQWoVrzBCV8kKQbN9LPUs3HynSJ4EC5jkbRWwphfEkUpSGJRKtjLd1slZ
a3AMITW0gLLI+cCo52LfVPOwlRVRoWCxEO2TUlJg9qvfN/ESLJjLxLHAWLOquasYTT1Prq7W029C
oBW9Dvw5W45fMy+IVNgijjN+BcVh90E0r0DkLkhmpFV278W4NUHhpCqc09QzLBlxDse9j8UkGddQ
eKI2KuPy9sVOuy4nMC/DrEDDna3LNx+I8POJXFEmeV6ICH4QE1+Q3arhdtplKR+5SXiER1fF0dud
LZnWh8Q+vtSFiSPSW7mAI2LiIihS+b0EtVPdwdrhrG9O4xv7b+y/sf/G/rOz1ypEhUIdrFGo6cZJ
brMJiMyzwqXfWKzVTvVSuVAebtdKtNHLTymtOu80FvElGK8itl+MO08mX4p3tRd/Ftapcff5Ga82
UH0x3vqF4RG5l7uVRmBMEaBDo6U4zCK8lDBiONB/BxtvB1LB9oZ08ic8G7ael35/05evB812rc8v
WGpXf37GpYWrL8C+eCLm07NvmpQ6+Sa5AtvZknRW9ziPyHY/9sL+LHEWhlycLLxWbEV3xn5/lbBN
diPmirAemUaBJ90coNHb3tuSLs+mlLdyIYkIs4/I7vb52zevri7HN3+/uL5+/hjViunbZPvRCRoG
KJ2psyjSnDqDoTkI705uT+ZHw1PXPL4f+MNj7tjhcXQ3vDeK1QoUmI/nhIwp5bGRjnyRLqru+eLZ
8fh4aCT+3A/u/fQWFGAG9S5WObC1UQNScnbz0sA5A1oJzypma+W93kNe1cSyppSIYa5Y3tsstqH3
ybYvHpZ0OOEUFCfwXTJeFTK7bZxOGfHm0GeIET6CiBmpMju8VgqJ49+66HhrFJ7g5ORPu69f/PNi
D0H9QAeYhBge5uDBg2tv5WdCea2gGdqHq5dk53B/f/9gR1SKJACokyVJcKSS9ACCjsBlRmC/IwE7
uEeFJHcmQKVLYPyfRqaNoXmsFD+BlDpXQJQ9kmAIJqZ4J4yBi2XO1DEJSoCLvCSYkiyGo6+C9TW3
K44pWXv1vrJ6FLzSPzZ4Thy7yCp1xWeVhhVMY4Ir1DFJV2wJ3nOyr+zIs6dPRR0+faqoQJuR86dP
SbbYSTD8xZVkSmAWm9LEjUmQxGESy5v3feqJxqI9SC3j8mQKigfbYXXYUHCpS3QPnQDUK65d8ZQf
LvVVunuZqIw3k7x9Ay1ZecwYS43xr2KRtP0C6o3gfVBg1BBjpqwajmFLFCS99ADYyJ6PfQoxgNkK
A8xlvJrGN5crxKyNTPNQLUHeMUHmgwMyhdECsxBHJmlb1CQrRffEIgJA6FR0cUBCr9oASwzjMIJh
SOTyrGgKkTCtdEjTTAvbtp1atJJprmslBJHbPlBSCUyubt6S82ensn/5LIt5KukneKEQqCewXmB+
IfCXGAFBLxtBajyV7ZwX/bA622CXiW0Y11YA7Yrx1xisODz5no6yimpp/WS2MNWKZRKVEbFQsgP7
0IJxQ9wAssQBYFkyVuHX/g1tZIgfZY64gzd8ME1iXJTJTh+J7KsyWRg52SBO22zjt6uRh1uofmcq
OjbuWYGOtftAuns4G+AgcS1lr0dLCx9FeX1TNLhQVxPcBogS+N5epYAdr6FESXyPGGcr1ljCEpNH
oL5HVgt8IC+UjPhefai6PjG4ZiJDsTy6cLzEg/nTn8U2jkpT+tCi94P6mSVoHArkg6OTwbPjoXri
BD8HLM2iVuABlPiXmyuSr77r7Q01he2nz7e1NlLgw2wfa7XxahrmCK4Hyy0xXD4cp2THiD32gyB8
KGPc+QZup+N34IRd9YEjoaDcwf8LqFWzC4yozBDyrcQT2iP9WSs6+IkBGPh/sFydg+HlgCcWOZJm
iCuH4HGUKVuuK/b/VcyWlCigBKaDmj3d/EHS3jev0BaTJ/kz/2+/MluI2YZG1VRhMEfkb/iqUWYy
IOTfqvZK5IhSix/lPPAxcUMoZMpfq9xslOA0TyNw2R9hSOcGJPrpYoKWWwewReYVoZdcbCtSWIJe
LRV07EiYyTDafWcKxjxpaA9oBWkJQ42zMArw8s8gSifq2ozz4g0M8HMi7/UkaqciFVhsFeI9W5sP
oz7WZceW2JmryRQb4NSZnlzmbsLUyQT9rVHk2AIITWbig6q3NJmWOzV9TR6OPUdUdw9KzEutiA2Q
277G1A+MKI4d+YutziwoOkXZ3INWtRKTkZ+uzoUmmMIPYryEf2vsMAejO0UgzXSSCYiXoJgpUvrR
jJCXyEQTUmxXDzoDq/3R4vyC6I9kZxDDI8ydjuUcsLeSSj5kWFZcSoEMF8piBwnQmjBwBEPXMZ3Y
XUoJMf5dbcZ0S2hWBJhTImqCBQD9zDF56lj1r3EaQvOH10c2YFi4NzoVb0nEVVXYzUWXmEXUE3Qc
z2MWauS62EJHij0ReRFRs4Tgn6IppWq1dPf3BnUEYqVuW3cM2e9KGE26DpzKmraDtKq2KxrC0kl9
1I70qczianfVG8ml8QIV8MXHSxqz2UB5AVJH5YWRhU7KqxiKWKu8moBbKK+voTHWq6C8IJ9BFzW5
Nh2iCLnIjxdOSKPXOWV1GHsVyFkFa34WezCfZ05FumhqyN6vC3OrCKFJgMrajA3qOpSnYUNl/1IK
kq5AtEdgizii3VDQ15t2Q5GhaLB28EAD74Z7HzkxMwrxuPaoYSC8bQPGRWx3Q02XXg2LmS6NaG6i
dacgXhSQFmkn/LQfbIoOOgF3w/qxKEJHZOiGiY9zpiE2yOI6f2cCWfmnDgN1hncKONCn/2BRR1kK
LSBvpBManmF8oxsh6ck/H3TDClx8rHfpMkOcgnKyId2egokrjVD0mb+JvIYfgA8LxabuRuicmQl0
/2XHzgfSymBbxDbqtpupL5jLrOC+G47jY8yro2KgJpjrm43ntF5pDAWdJDHbjIoPE1acRH7XsjrY
ou70wbqg2XZpFD1dITLA4eVdZw6hU6DWDLxzN1uZ7DjF4fZ5Y4L7jTqyx/s90V8zsiMHRe3etUax
8YxscalDD793cJsJHj7ZCFG3UrZOG2cWygOVuiSziWovLr0+0HBSkupkOqmFaTSeNPI3m09qpDUG
lBqppRmkRm5pCKmRu5lCahqtrRE1eid7REvi8brtelNCjdfGFGji2MoYaCSw3hxQo7czCDS4DxuW
64wCNdY6s0AzUNYYBs0jpL1p0ExnvXGgK/Na86D18FxjIDQXoJ2JoNOOHY0EjTJvZSboqqPF7K5V
M3h8X14Lbtw5EV4r17nHtzESGlHXmgla6bsaCmsIPZ7OzUk+vH7XWR1531eZH4UI74qi+1cDRq1B
uSF336yPdUM72UTE0rL7HoqrnW0ZuzPAVodfVU+jKCEv/3GjSx9fvjz7oM89f/vm5u31hS7//cXN
+wbkF1fv3jbnjn+5vjrTy/b+n7ptBmIdOntnE4OVcu3czZJWCFlKP/vRs0nC6cRxVZOkCjqMGMfn
sJRyKhC0XUMule/u5a278+cra0cGRV1xE4jYD46W3AzAV7HQtp3ljC+9SQAuUO4AdR2E2eKlen0U
38HAXfuccZ52tk3fBsYIbZVecQsMjUl2V5gl16/Fnjuf3YuyU5+sLmMCMawA27xwvAi36iKl1YGn
mMYJ3yp9FeCyvbdagNVlE1oQ5W1hOuAMrAqAbYr5j/ZKknwTRweyLy9R7M8c/Jvdx4JDrHpopgzx
lYgdpXdumiqJ88yvTFi7SdivpWZx0hS3uKmEzTO/MmHtJmG/nqHmrW6bTV/+UQ+4OtzXWwS7ZRFq
rSB326ebkaWmT3dxcT1otnshh9wi6X+gp4k8DLS19UQYGq+uX1zejJ48MUJ5WIZk3gt5jOev+1kG
nq58J+9Ts16K+9SwUoyrx360W984ZWYPL1GZ3iavuPbTtP0HkBLPyaVkMrplct0eZhVvLypeai3T
7P5Wax9TZJcDo1Z0uOvHfOqQlMh1b90aia6tUMbuXOnoy1ReBYQkAMGM9Bib6Cn5MHXxni2R5GaV
k37lvcrNigmDXVyvA9X+BA3XJ+A8PM0/MuN8lH5b4l4jzAbT+ok8SBLTcCS/3+H2I1RWctfz6Aka
qltPzou+nATdqp0LrR0nPdjvna65JyE3dOWVDIX7EtpAdbtcB13TnS1xjoyIx6k88fHrwW8jcoEh
ZKGIs6OnZKfDydMd0MHnv/wi1XD+/okzSW9iHLvUyC5ldAMNrGwKBE3fkAHIK1/u3U7HmSU34ha7
4im/Nxd/DE/Nu4/T2/2Pt8Pp/OTW9Kg1GA6PnKkxM03jpFd41rlvPn3aZ4u4L8Pt6aZvLhwmezQ8
GO3/NZ9Q8v8eie3EgYlxgjeQj7MdsqPjw+Hpp+Mo2YyOBp+ShSV3uo4OP2FBRMjvk3KIk9Bln5SD
aP7Edz4mbBzGETT+4cmn4ya3WY+eaftzr3aN42hw0gC8um1vdKglWn/4bXQ4GG09vDim3HA+Ojka
HRyNyJSCtUlEsG+U70UfkTcB6kRbag2MW2TqbIt8l1Ib+zD6yQ8Zzo/VgvzPv7L/vqmfb+rnm/r5
KtRP7cG10eC0LSzqoKOj/686SAZqqdxrLV63Fq9maNNzk+77778nv2axzdHgYHgyWmua/UYusDTk
oEzmZ+rEq2M0uFMOTFCL3AYi9q7nOTwcjtaYeAqO14zePcQURUJVUQ4OT/ZHaPVm/AZbZ9ScS1+g
WPtDshtGjudgON4Qp/S2i8/K3x5Ml/eDfXtwcnj/7GgeRdaRE54sZneL//33f7b3cMZwTGac9tkd
dXvc9ATxg9OD0eERIYdkd0zGAopHU6eP/4DYGRg5Hu6PTgkZkF2oaYNR6ETf/SCOQFh4p8vpcHB0
vI93KxSvSDk9mtnLZ95ifx9E+JHAP4KBGmRqDgZ+dMfv7/zwozu15tOBP08vDjXkrc2inuUbG0gj
rfG0wTJRT05PR4cHULJViR6FobwDeFUhB8ejY0L2ya7j3wXguIxJD9ltPTIzwWdEoBSr2pYcR1vi
ZTOMcM3ZkvwumuxwuCPX+PAqcPL77nc/oMslto+Sv0g8uZ5Jfk13zo/INnbL7dXxXbybx7jdJtuD
7T3CFri4n4a6BmI8G/Kx2hH5bgq6JQgL37+R42fTyf7+j3s7va3/Aws0DdXkDAEA
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 7 May 2018 10:12:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 07 06:12:40 2018
Received: from localhost ([127.0.0.1]:52006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFd8J-0000ws-Oo
	for submit <at> debbugs.gnu.org; Mon, 07 May 2018 06:12:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fFd8I-0000we-PQ
 for 30756 <at> debbugs.gnu.org; Mon, 07 May 2018 06:12:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fFd8C-0006bo-Hz
 for 30756 <at> debbugs.gnu.org; Mon, 07 May 2018 06:12:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47792)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fFd82-0006WG-3r; Mon, 07 May 2018 06:12:22 -0400
Received: from [193.50.110.223] (port=44904 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fFd81-0007NL-ME; Mon, 07 May 2018 06:12:21 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Giel van Schijndel <giel@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
Date: Mon, 07 May 2018 12:12:19 +0200
In-Reply-To: <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN> (Giel van
 Schijndel's message of "Fri, 4 May 2018 16:30:08 +0200")
Message-ID: <87sh7393lo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30756
Cc: julien lepiller <julien@HIDDEN>, 30756 <at> debbugs.gnu.org,
 Marius Bakke <mbakke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Giel van Schijndel <giel@HIDDEN> skribis:

> On 04-05-18 14:43, Ludovic Court=C3=A8s wrote:
>> Hi,
>>
>> Giel van Schijndel <giel@HIDDEN> skribis:
>>
>>> On 09-03-18 13:42, Ludovic Court=C3=A8s wrote:
>>>> julien lepiller <julien@HIDDEN> skribis:
>>>>
>>>>> I'm trying to build a software that requires gcc>=3D7.2. Unfortunatel=
y,
>>>>> the process crashes and ends with:
>>>>>
>>>>> /gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cst=
dlib:75:15:
>>>>> fatal error: stdlib.h: No such file or directory.
>>>> On IRC Marius mentioned this bug report:
>>>>
>>>>   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=3D70129#c3
>>>>
>>>> Note that we use C_INCLUDE_PATH, which is equivalent to =E2=80=98-isys=
tem=E2=80=99.
>>> This is biting me too for a C++17 project I'm trying to build.
>> Marius, do you have a link to the exact change in GCC that caused this
>> regression?
>>
>> I find it hard to believe that a fix would necessarily =E2=80=9Cslow eve=
rything
>> down=E2=80=9D, as Jakub put it in the report above.
>>
>> Also it seems clear that in Guix we=E2=80=99ll want a solution that=E2=
=80=99s not
>> CMake-specific.
>
> Obviously, I wasn't suggesting that. I was just suggesting a similar
> approach.
>
>> Giel, does the patch below work for you?
>
> No, just by itself it doesn't. It does add 'CPATH', but doesn't drop
> 'C_INCLUDE_PATH' and 'CPLUS_INCLUDE_PATH'. With this added to my package
> preprocessing succeeds:
>
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (add-before 'conf=
igure 'fixgcc7
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (lamb=
da _
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (unsetenv "C_INCLUDE_PATH")
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0 (unsetenv "CPLUS_INCLUDE_PATH")))

I pushed the patch as a stop-gap measure in
91a56b4ab5e714e230c0088fb9f5ce0519efe1a0.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 21:37:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 17:37:37 2018
Received: from localhost ([127.0.0.1]:50012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEiOW-0006qc-T7
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 17:37:37 -0400
Received: from world.peace.net ([64.112.178.59]:48902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fEiOU-0006qM-Ue
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 17:37:35 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fEiOP-0001Yj-5T; Fri, 04 May 2018 17:37:29 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87k1sjsan9.fsf@HIDDEN>
 <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN>
 <87zi1fid9r.fsf@HIDDEN> <87fu37rw8d.fsf@HIDDEN>
Date: Fri, 04 May 2018 17:36:27 -0400
In-Reply-To: <87fu37rw8d.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Fri, 04 May 2018 22:39:46 +0200")
Message-ID: <87fu37hzms.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org, Giel van Schijndel <giel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> On my own private branch, I worked around this problem by adding
>> "-idirafter <LIBC>/include" to CXXFLAGS, but of course it's not a proper
>> fix.  My workaround happens to be in Savannah on the
>> 'reproduce-bug-29774' branch:
>>
>>   https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dreproduce-bug-2=
9774&id=3D87022e2666c5e68e865eb160a4bd8e9cdcc1a955
>
> Perhaps we could achieve the same effect by adding =E2=80=9C-idirafter
> LIBC/include=E2=80=9D to the default spec file, under =E2=80=98cpp_option=
s=E2=80=99?
> (We=E2=80=99d achieve that by modifying the value of =E2=80=98cpp_options=
=E2=80=99 in
> gcc/gcc.c.)

I guess that it might be better to avoid using -idirafter and instead
pay attention to the order in which the normal include search paths are
populated, and in particular for LIBC to last, but maybe that would be
awkward to arrange, dunno.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 20:39:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 16:39:51 2018
Received: from localhost ([127.0.0.1]:49997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEhUc-0005TK-W0
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 16:39:51 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:54388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fEhUc-0005TD-6H
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 16:39:50 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 095CE1D6C8;
 Fri,  4 May 2018 22:39:49 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id B9g6r9NxZatS; Fri,  4 May 2018 22:39:47 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 8A6CC1D6B4;
 Fri,  4 May 2018 22:39:47 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87k1sjsan9.fsf@HIDDEN>
 <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN>
 <87zi1fid9r.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 04 May 2018 22:39:46 +0200
In-Reply-To: <87zi1fid9r.fsf@HIDDEN> (Mark H. Weaver's message of "Fri, 04
 May 2018 12:41:52 -0400")
Message-ID: <87fu37rw8d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org, Giel van Schijndel <giel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Mark H Weaver <mhw@HIDDEN> skribis:

> On my own private branch, I worked around this problem by adding
> "-idirafter <LIBC>/include" to CXXFLAGS, but of course it's not a proper
> fix.  My workaround happens to be in Savannah on the
> 'reproduce-bug-29774' branch:
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dreproduce-bug-29=
774&id=3D87022e2666c5e68e865eb160a4bd8e9cdcc1a955

Perhaps we could achieve the same effect by adding =E2=80=9C-idirafter
LIBC/include=E2=80=9D to the default spec file, under =E2=80=98cpp_options=
=E2=80=99?
(We=E2=80=99d achieve that by modifying the value of =E2=80=98cpp_options=
=E2=80=99 in
gcc/gcc.c.)

I suppose that would fix the include_next issue that Giel describes?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 17:15:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 13:15:25 2018
Received: from localhost ([127.0.0.1]:49932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEeIn-0000YH-Ez
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 13:15:25 -0400
Received: from world.peace.net ([64.112.178.59]:48428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fEeIl-0000Y5-95
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 13:15:23 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fEeIf-0008HR-6m; Fri, 04 May 2018 13:15:17 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Giel van Schijndel <giel@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87k1sjsan9.fsf@HIDDEN>
 <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN>
 <87zi1fid9r.fsf@HIDDEN>
Date: Fri, 04 May 2018 13:14:15 -0400
In-Reply-To: <87zi1fid9r.fsf@HIDDEN> (Mark H. Weaver's message of "Fri, 04
 May 2018 12:41:52 -0400")
Message-ID: <87vac3ibrs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark H Weaver <mhw@HIDDEN> writes:

> Giel van Schijndel <giel@HIDDEN> writes:
>
>> The problem seems to be triggered by glibc appearing on the search path.
>>
>> I'm not sure about GCC's internals exactly so I'm making one assumption
>> that causes all of this to make sense to me: if a directory appears
>> multiples times in the search path it will be searched only the first
>> time that it's encountered.
>>
>> So in short: <cstdlib> contains an "#include_next <stdlib.h>"
>> preprocessor directive. That's a GCC extension that tells the
>> preprocessor it should only search directories appearing in the search
>> path _after_ the directory containing the file currently being processed.
>
> I ran into the same problem with our 'gjs' package in the 'core-updates'
> branch.  First I added 'gcc-7' to the inputs to work around a different
> issue (an internal compiler error in gcc-5), and then I encountered the
> exact problem you described above.
>
> On my own private branch, I worked around this problem by adding
> "-idirafter <LIBC>/include" to CXXFLAGS, but of course it's not a proper
> fix.  My workaround happens to be in Savannah on the
> 'reproduce-bug-29774' branch:
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?h=reproduce-bug-29774&id=87022e2666c5e68e865eb160a4bd8e9cdcc1a955

I forgot to mention that in addition to adding -idirafter, I also had to
remove <LIBC>/include from CPLUS_INCLUDE_PATH.  Without the latter, the
-idirafter directive was ignored as a duplicate.

        Mark




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 16:43:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 12:43:03 2018
Received: from localhost ([127.0.0.1]:49928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEdnS-0008GL-Rq
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 12:43:03 -0400
Received: from world.peace.net ([64.112.178.59]:48354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1fEdnQ-0008Fr-Tn
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 12:43:01 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1fEdnK-00088u-GB; Fri, 04 May 2018 12:42:54 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Giel van Schijndel <giel@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87k1sjsan9.fsf@HIDDEN>
 <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN>
Date: Fri, 04 May 2018 12:41:52 -0400
In-Reply-To: <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN> (Giel van
 Schijndel's message of "Fri, 4 May 2018 18:03:38 +0200")
Message-ID: <87zi1fid9r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30756
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Giel van Schijndel <giel@HIDDEN> writes:

> On 04-05-18 17:28, Ludovic Court=C3=A8s wrote:
>> That=E2=80=99s probably because your package still includes gcc@5 as an =
implicit
>> input via =E2=80=98cmake-build-system=E2=80=99.
>>
>> You could use a procedure like this to remove implicit inputs and add
>> your own GCC variant:
>>
>> --8<---------------cut here---------------start------------->8---
>> (define (package-with-specific-compiler p compiler)
>>   "Return P modified to be built with COMPILER."
>>   (package
>>     (inherit p)
>>     (arguments
>>      `(#:implicit-inputs? #f ,@(package-arguments p)))
>>     (native-inputs `(("compiler" ,compiler)
>>                      ,@(package-native-inputs p)))
>>     (inputs (append (package-inputs p)
>>                     (alist-delete "gcc" (standard-packages))))))
>> --8<---------------cut here---------------end--------------->8---
>>
>> =E2=80=A6 where =E2=80=98standard-packages=E2=80=99 comes from (guix bui=
ld-system gnu).
> This gives me:
>> guix/build-system/cmake.scm:93:0: In procedure cmake-build:
>> guix/build-system/cmake.scm:93:0: Unrecognized keyword: #:implicit-input=
s?
>
>>> Would it be possible to filter the list of directories added to these
>>> environment variables to exclude those already present in GCC's default
>>> search path?
>> I still don=E2=80=99t fully understand the issue actually.  What=E2=80=
=99s wrong with
>> having these directories appear several times in the search path?
>>
>> The difficulty here will be that search path environment variables in
>> Guix are populated automatically based on their specifications, so it=E2=
=80=99s
>> not all that clear to me where that filtering would happen.
>
> The problem seems to be triggered by glibc appearing on the search path.
>
> I'm not sure about GCC's internals exactly so I'm making one assumption
> that causes all of this to make sense to me: if a directory appears
> multiples times in the search path it will be searched only the first
> time that it's encountered.
>
> So in short: <cstdlib> contains an "#include_next <stdlib.h>"
> preprocessor directive. That's a GCC extension that tells the
> preprocessor it should only search directories appearing in the search
> path _after_ the directory containing the file currently being processed.

I ran into the same problem with our 'gjs' package in the 'core-updates'
branch.  First I added 'gcc-7' to the inputs to work around a different
issue (an internal compiler error in gcc-5), and then I encountered the
exact problem you described above.

On my own private branch, I worked around this problem by adding
"-idirafter <LIBC>/include" to CXXFLAGS, but of course it's not a proper
fix.  My workaround happens to be in Savannah on the
'reproduce-bug-29774' branch:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?h=3Dreproduce-bug-2977=
4&id=3D87022e2666c5e68e865eb160a4bd8e9cdcc1a955

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 16:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 12:03:47 2018
Received: from localhost ([127.0.0.1]:49920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEdBS-0007Oo-Nd
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 12:03:46 -0400
Received: from khitomer.mortis.eu ([185.27.175.75]:31654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giel@HIDDEN>) id 1fEdBQ-0007OY-PR
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 12:03:45 -0400
Received: from [10.117.11.179] (unknown [185.5.121.222])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client CN "giel-tomtom-nl2lxd-108395-auth",
 Issuer "Khitomer Root CA" (verified OK))
 by khitomer.mortis.eu (Postfix) with ESMTPS id 8C56B82F;
 Fri,  4 May 2018 18:03:38 +0200 (CEST)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN> <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN> <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
 <87k1sjsan9.fsf@HIDDEN>
From: Giel van Schijndel <giel@HIDDEN>
Message-ID: <58dc244a-8ff5-fb1f-8c7b-d6745c1f2558@HIDDEN>
Date: Fri, 4 May 2018 18:03:38 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.7.0
MIME-Version: 1.0
In-Reply-To: <87k1sjsan9.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30756
Cc: Marius Bakke <mbakke@HIDDEN>, julien lepiller <julien@HIDDEN>,
 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 04-05-18 17:28, Ludovic Courtès wrote:
> That’s probably because your package still includes gcc@5 as an implicit
> input via ‘cmake-build-system’.
>
> You could use a procedure like this to remove implicit inputs and add
> your own GCC variant:
>
> --8<---------------cut here---------------start------------->8---
> (define (package-with-specific-compiler p compiler)
>   "Return P modified to be built with COMPILER."
>   (package
>     (inherit p)
>     (arguments
>      `(#:implicit-inputs? #f ,@(package-arguments p)))
>     (native-inputs `(("compiler" ,compiler)
>                      ,@(package-native-inputs p)))
>     (inputs (append (package-inputs p)
>                     (alist-delete "gcc" (standard-packages))))))
> --8<---------------cut here---------------end--------------->8---
>
> … where ‘standard-packages’ comes from (guix build-system gnu).
This gives me:
> guix/build-system/cmake.scm:93:0: In procedure cmake-build:
> guix/build-system/cmake.scm:93:0: Unrecognized keyword: #:implicit-inputs?

>> Would it be possible to filter the list of directories added to these
>> environment variables to exclude those already present in GCC's default
>> search path?
> I still don’t fully understand the issue actually.  What’s wrong with
> having these directories appear several times in the search path?
>
> The difficulty here will be that search path environment variables in
> Guix are populated automatically based on their specifications, so it’s
> not all that clear to me where that filtering would happen.

The problem seems to be triggered by glibc appearing on the search path.

I'm not sure about GCC's internals exactly so I'm making one assumption
that causes all of this to make sense to me: if a directory appears
multiples times in the search path it will be searched only the first
time that it's encountered.

So in short: <cstdlib> contains an "#include_next <stdlib.h>"
preprocessor directive. That's a GCC extension that tells the
preprocessor it should only search directories appearing in the search
path _after_ the directory containing the file currently being processed.

Now this is the trimmed down search path that gets produced for g++:

 *
/gnu/store/4sqaib7c2dfjv62ivrg9b8wa7bh226la-glibc-2.26.105-g0890d5379c/include

 * /gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++
 *
/gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++/x86_64-unknown-linux-gnu
 *
/gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++/backward
 *
/gnu/store/8jp0v7q1g4g87ay94i7h7p54mcw48mf3-gcc-7.3.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.3.0/include
 *
/gnu/store/8jp0v7q1g4g87ay94i7h7p54mcw48mf3-gcc-7.3.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.3.0/include-fixed
 *
/gnu/store/4sqaib7c2dfjv62ivrg9b8wa7bh226la-glibc-2.26.105-g0890d5379c/include

The first item gets there through CPLUS_INCLUDE_PATH. The rest of the
list are GCC's defaults. Because the first item is a duplicate of the
last, under the previously stated assumption, this will prevent the
preprocessor from searching it a second time for the last. This means
that <cstdlib>, which is found in .../include/c++ cannot find <stdlib.h>
in the list of directories left to search. Because that list, at that
point, starts at .../c++/x86_64-unknown-linux-gnu and ends at
*-glibc-*/include _but_ because that's a duplicate of a previously seen
item it gets eliminated.

I'm guessing the slow down they claim a workaround would cause that GCC
bug report is caused by having to deal with cycle detection becoming
more complicated if you cannot just remove duplicate entries from the
include path.

-- 
Met vriendelijke groet,
With kind regards,
Giel van Schijndel





Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 15:41:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 11:41:50 2018
Received: from localhost ([127.0.0.1]:49914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEcqD-0006to-IO
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 11:41:50 -0400
Received: from khitomer.mortis.eu ([185.27.175.75]:57526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giel@HIDDEN>) id 1fEcJ2-00066z-IE
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 11:07:32 -0400
Received: from [10.117.11.179] (unknown [185.5.121.222])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client CN "giel-tomtom-nl2lxd-108395-auth",
 Issuer "Khitomer Root CA" (verified OK))
 by khitomer.mortis.eu (Postfix) with ESMTPS id 5AD0B7F1;
 Fri,  4 May 2018 17:07:26 +0200 (CEST)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
From: Giel van Schijndel <giel@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN> <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN> <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
Message-ID: <39b433d2-bc3b-733f-3210-4a93fcb596c2@HIDDEN>
Date: Fri, 4 May 2018 17:07:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.7.0
MIME-Version: 1.0
In-Reply-To: <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30756
X-Mailman-Approved-At: Fri, 04 May 2018 11:41:47 -0400
Cc: Marius Bakke <mbakke@HIDDEN>, julien lepiller <julien@HIDDEN>,
 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 04-05-18 16:30, Giel van Schijndel wrote:
> I'm currently trying to produce a minimal test case, I'll post it here
> when I succeed. 

I've put the test case at https://git.fsfe.org/giel/hello-cpp17. It only
uses a simple makefile.

PS The web interface doesn't seem to update. Directly cloning that URL
does work though.

-- 
Met vriendelijke groet,
With kind regards,
Giel van Schijndel





Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 15:41:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 11:41:49 2018
Received: from localhost ([127.0.0.1]:49912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEcqD-0006th-94
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 11:41:49 -0400
Received: from khitomer.mortis.eu ([185.27.175.75]:30864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giel@HIDDEN>) id 1fEbiw-0005Hr-Qs
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 10:30:15 -0400
Received: from [10.117.11.179] (unknown [185.5.121.222])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client CN "giel-tomtom-nl2lxd-108395-auth",
 Issuer "Khitomer Root CA" (verified OK))
 by khitomer.mortis.eu (Postfix) with ESMTPS id 11DCD7CF;
 Fri,  4 May 2018 16:30:09 +0200 (CEST)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN> <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
From: Giel van Schijndel <giel@HIDDEN>
Message-ID: <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
Date: Fri, 4 May 2018 16:30:08 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.7.0
MIME-Version: 1.0
In-Reply-To: <87d0ybvbep.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30756
X-Mailman-Approved-At: Fri, 04 May 2018 11:41:47 -0400
Cc: Marius Bakke <mbakke@HIDDEN>, julien lepiller <julien@HIDDEN>,
 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 04-05-18 14:43, Ludovic Courtès wrote:
> Hi,
>
> Giel van Schijndel <giel@HIDDEN> skribis:
>
>> On 09-03-18 13:42, Ludovic Courtès wrote:
>>> julien lepiller <julien@HIDDEN> skribis:
>>>
>>>> I'm trying to build a software that requires gcc>=7.2. Unfortunately,
>>>> the process crashes and ends with:
>>>>
>>>> /gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdlib:75:15:
>>>> fatal error: stdlib.h: No such file or directory.
>>> On IRC Marius mentioned this bug report:
>>>
>>>   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129#c3
>>>
>>> Note that we use C_INCLUDE_PATH, which is equivalent to ‘-isystem’.
>> This is biting me too for a C++17 project I'm trying to build.
> Marius, do you have a link to the exact change in GCC that caused this
> regression?
>
> I find it hard to believe that a fix would necessarily “slow everything
> down”, as Jakub put it in the report above.
>
> Also it seems clear that in Guix we’ll want a solution that’s not
> CMake-specific.

Obviously, I wasn't suggesting that. I was just suggesting a similar
approach.

> Giel, does the patch below work for you?

No, just by itself it doesn't. It does add 'CPATH', but doesn't drop
'C_INCLUDE_PATH' and 'CPLUS_INCLUDE_PATH'. With this added to my package
preprocessing succeeds:

>           (add-before 'configure 'fixgcc7
>             (lambda _
>               (unsetenv "C_INCLUDE_PATH")
>               (unsetenv "CPLUS_INCLUDE_PATH")))

But I can no longer build with warnings treated as error at that point,
because I'm getting a ton of warnings inside headers of dependencies
now. With either of '-Wno-error' or '-w' I can build now.

Would it be possible to filter the list of directories added to these
environment variables to exclude those already present in GCC's default
search path? I believe that should solve it in all cases, not just the
CMake one. I'm currently trying to produce a minimal test case, I'll
post it here when I succeed.


-- 
Met vriendelijke groet,
With kind regards,
Giel van Schijndel





Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 15:41:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 11:41:49 2018
Received: from localhost ([127.0.0.1]:49910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEcqC-0006tf-NJ
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 11:41:49 -0400
Received: from khitomer.mortis.eu ([185.27.175.75]:19474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <giel@HIDDEN>) id 1fEXIw-0000xS-Oi
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 05:47:07 -0400
Received: from [10.117.11.179] (unknown [185.5.121.222])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (Client CN "giel-tomtom-nl2lxd-108395-auth",
 Issuer "Khitomer Root CA" (verified OK))
 by khitomer.mortis.eu (Postfix) with ESMTPS id 7ADAB6C9;
 Fri,  4 May 2018 11:47:00 +0200 (CEST)
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>,
 julien lepiller <julien@HIDDEN>
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
From: Giel van Schijndel <giel@HIDDEN>
Message-ID: <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
Date: Fri, 4 May 2018 11:46:58 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.7.0
MIME-Version: 1.0
In-Reply-To: <87fu59zagv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30756
X-Mailman-Approved-At: Fri, 04 May 2018 11:41:47 -0400
Cc: 30756 <at> debbugs.gnu.org, Marius Bakke <mbakke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 09-03-18 13:42, Ludovic Courtès wrote:
> julien lepiller <julien@HIDDEN> skribis:
>
>> I'm trying to build a software that requires gcc>=7.2. Unfortunately,
>> the process crashes and ends with:
>>
>> /gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdlib:75:15:
>> fatal error: stdlib.h: No such file or directory.
> On IRC Marius mentioned this bug report:
>
>   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129#c3
>
> Note that we use C_INCLUDE_PATH, which is equivalent to ‘-isystem’.

This is biting me too for a C++17 project I'm trying to build.

That GCC bug report (Jakub Jellinek) says that you shouldn't be using
-isystem for the default include directories. So I believe these paths
shouldn't get added to CPLUS_INCLUDE_PATH in the first place.

In that bug report there's a link to a CMake bug report with a link to a
solution employed by WebKit:
https://trac.webkit.org/changeset/205672/webkit/trunk/Source/cmake/OptionsCommon.cmake

That solution boils down to executing "g++ -v -E -x c++ /dev/null" and
extracting the list of (default) include directories from its output
then giving CMake that list to ensure it won't ever try to add it with
either -I or -isystem to the preprocessor's search path. I believe a
similar approach should be taken by (gnu packages gcc) (assuming that's
what is responsible for adding this).

To confirm that this works:
> $ env -u CPATH -u C_INCLUDE_PATH -u CPLUS_INCLUDE_PATH c++ -v -E -x
> c++ /dev/null
> ...
> #include <...> search starts here:
>  /gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++
>  /gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++/x86_64-unknown-linux-gnu
>  /gnu/store/f9wi8xs84b29f5igp578hnqfpjnfn4gh-gcc-7.3.0/include/c++/backward
>  /gnu/store/8jp0v7q1g4g87ay94i7h7p54mcw48mf3-gcc-7.3.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.3.0/include
>  /gnu/store/8jp0v7q1g4g87ay94i7h7p54mcw48mf3-gcc-7.3.0-lib/lib/gcc/x86_64-unknown-linux-gnu/7.3.0/include-fixed
>  /gnu/store/4sqaib7c2dfjv62ivrg9b8wa7bh226la-glibc-2.26.105-g0890d5379c/include
> End of search list.
> ...

To get my C++17 project building I can take the auto-generated
CPLUS_INCLUDE_PATH and just strip every path from it that also occurs in
the above list and set it again with (setenv).

There's two problems with this:

1. It's a workaround for a break in the build environment that would
need to be copy-pasted to every project wishing to build C++ with a
modern GCC
2. My skill at Scheme/Guile isn't good enough to execute the above
command and capture its output from within the build phases, let alone
parse and use its result to clean up CPLUS_INCLUDE_PATH.

-- 
Met vriendelijke groet,
With kind regards,
Giel van Schijndel





Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 15:28:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 11:28:32 2018
Received: from localhost ([127.0.0.1]:49901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEcdM-0006aS-7h
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 11:28:32 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:51956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fEcdK-0006aJ-El
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 11:28:30 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 87EC61C74E;
 Fri,  4 May 2018 17:28:29 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id CkqqBlqNjyPl; Fri,  4 May 2018 17:28:27 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.223])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 31D9F1C791;
 Fri,  4 May 2018 17:28:27 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Giel van Schijndel <giel@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
 <87d0ybvbep.fsf@HIDDEN>
 <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 04 May 2018 17:28:26 +0200
In-Reply-To: <36478fc2-98e7-0ebd-9048-7193fd240f5c@HIDDEN> (Giel van
 Schijndel's message of "Fri, 4 May 2018 16:30:08 +0200")
Message-ID: <87k1sjsan9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30756
Cc: Marius Bakke <mbakke@HIDDEN>, julien lepiller <julien@HIDDEN>,
 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Giel van Schijndel <giel@HIDDEN> skribis:

> On 04-05-18 14:43, Ludovic Court=C3=A8s wrote:

[...]

>> Giel, does the patch below work for you?
>
> No, just by itself it doesn't. It does add 'CPATH', but doesn't drop
> 'C_INCLUDE_PATH' and 'CPLUS_INCLUDE_PATH'.

That=E2=80=99s probably because your package still includes gcc@5 as an imp=
licit
input via =E2=80=98cmake-build-system=E2=80=99.

You could use a procedure like this to remove implicit inputs and add
your own GCC variant:

--8<---------------cut here---------------start------------->8---
(define (package-with-specific-compiler p compiler)
  "Return P modified to be built with COMPILER."
  (package
    (inherit p)
    (arguments
     `(#:implicit-inputs? #f ,@(package-arguments p)))
    (native-inputs `(("compiler" ,compiler)
                     ,@(package-native-inputs p)))
    (inputs (append (package-inputs p)
                    (alist-delete "gcc" (standard-packages))))))
--8<---------------cut here---------------end--------------->8---

=E2=80=A6 where =E2=80=98standard-packages=E2=80=99 comes from (guix build-=
system gnu).

> But I can no longer build with warnings treated as error at that point,
> because I'm getting a ton of warnings inside headers of dependencies
> now. With either of '-Wno-error' or '-w' I can build now.

Yeah, that=E2=80=99s a downside (that was the reason why we switched from C=
PATH
to C_INCLUDE_PATH a while back), but it could be a reasonable
workaround for now.

> Would it be possible to filter the list of directories added to these
> environment variables to exclude those already present in GCC's default
> search path?

I still don=E2=80=99t fully understand the issue actually.  What=E2=80=99s =
wrong with
having these directories appear several times in the search path?

The difficulty here will be that search path environment variables in
Guix are populated automatically based on their specifications, so it=E2=80=
=99s
not all that clear to me where that filtering would happen.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 4 May 2018 12:43:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 08:43:47 2018
Received: from localhost ([127.0.0.1]:48991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEa3v-0002cV-I0
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 08:43:47 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:35490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fEa3t-0002cM-DX
 for 30756 <at> debbugs.gnu.org; Fri, 04 May 2018 08:43:46 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id A472A1BF8B;
 Fri,  4 May 2018 14:43:43 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id TXfez3VYNPPV; Fri,  4 May 2018 14:43:42 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.223])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 73F021BF98;
 Fri,  4 May 2018 14:43:42 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Giel van Schijndel <giel@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
 <87fu59zagv.fsf@HIDDEN>
 <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 04 May 2018 14:43:42 +0200
In-Reply-To: <5212cd7e-5f52-2826-2f65-9b66af4e73ad@HIDDEN> (Giel van
 Schijndel's message of "Fri, 4 May 2018 11:46:58 +0200")
Message-ID: <87d0ybvbep.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30756
Cc: Marius Bakke <mbakke@HIDDEN>, julien lepiller <julien@HIDDEN>,
 30756 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Giel van Schijndel <giel@HIDDEN> skribis:

> On 09-03-18 13:42, Ludovic Court=C3=A8s wrote:
>> julien lepiller <julien@HIDDEN> skribis:
>>
>>> I'm trying to build a software that requires gcc>=3D7.2. Unfortunately,
>>> the process crashes and ends with:
>>>
>>> /gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdl=
ib:75:15:
>>> fatal error: stdlib.h: No such file or directory.
>> On IRC Marius mentioned this bug report:
>>
>>   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=3D70129#c3
>>
>> Note that we use C_INCLUDE_PATH, which is equivalent to =E2=80=98-isyste=
m=E2=80=99.
>
> This is biting me too for a C++17 project I'm trying to build.

Marius, do you have a link to the exact change in GCC that caused this
regression?

I find it hard to believe that a fix would necessarily =E2=80=9Cslow everyt=
hing
down=E2=80=9D, as Jakub put it in the report above.

Also it seems clear that in Guix we=E2=80=99ll want a solution that=E2=80=
=99s not
CMake-specific.

Giel, does the patch below work for you?


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/gcc.scm b/gnu/packages/gcc.scm
index 62b896882..9a82a9e81 100644
--- a/gnu/packages/gcc.scm
+++ b/gnu/packages/gcc.scm
@@ -476,7 +476,17 @@ Go.  It also includes runtime support libraries for these languages.")
                     "pa" "sh" "tilepro" "xtensa")))))
     (inputs
      `(("isl" ,isl)
-       ,@(package-inputs gcc-4.7)))))
+       ,@(package-inputs gcc-4.7)))
+
+    (native-search-paths
+     ;; We have to use 'CPATH' for GCC > 5, not 'C_INCLUDE_PATH' & co., due to
+     ;; <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129>.
+     (list (search-path-specification
+            (variable "CPATH")
+            (files '("include")))
+           (search-path-specification
+            (variable "LIBRARY_PATH")
+            (files '("lib" "lib64")))))))
 
 (define-public gcc-7
   (package

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

DQpUaGFua3MsDQpMdWRv4oCZLg0K
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.

Message received at 30756 <at> debbugs.gnu.org:


Received: (at 30756) by debbugs.gnu.org; 9 Mar 2018 12:42:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 07:42:43 2018
Received: from localhost ([127.0.0.1]:51826 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1euHMB-00039T-Hl
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:42:43 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:59258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1euHMA-00039K-Bf
 for 30756 <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:42:42 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id BE04412092;
 Fri,  9 Mar 2018 13:42:41 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id J8j1SUxqujXl; Fri,  9 Mar 2018 13:42:41 +0100 (CET)
Received: from ribbon (unknown [193.50.110.144])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id C8698100FB;
 Fri,  9 Mar 2018 13:42:40 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: julien lepiller <julien@HIDDEN>
Subject: Re: bug#30756: gcc7 doesn't find stdlib.h
References: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
Date: Fri, 09 Mar 2018 13:42:40 +0100
In-Reply-To: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN> (julien lepiller's
 message of "Fri, 09 Mar 2018 13:10:58 +0100")
Message-ID: <87fu59zagv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30756
Cc: 30756 <at> debbugs.gnu.org, Marius Bakke <mbakke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

julien lepiller <julien@HIDDEN> skribis:

> I'm trying to build a software that requires gcc>=3D7.2. Unfortunately,
> the process crashes and ends with:
>
> /gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdlib=
:75:15:
> fatal error: stdlib.h: No such file or directory.

On IRC Marius mentioned this bug report:

  https://gcc.gnu.org/bugzilla/show_bug.cgi?id=3D70129#c3

Note that we use C_INCLUDE_PATH, which is equivalent to =E2=80=98-isystem=
=E2=80=99.
Quoth (gnu packages gcc):

      (native-search-paths
       ;; Use the language-specific variables rather than 'CPATH' because t=
hey
       ;; are equivalent to '-isystem' whereas 'CPATH' is equivalent to '-I=
'.
       ;; The intent is to allow headers that are in the search path to be
       ;; treated as "system headers" (headers exempt from warnings) just l=
ike
       ;; the typical /usr/include headers on an FHS system.
       (list (search-path-specification
              (variable "C_INCLUDE_PATH")
              (files '("include")))
             (search-path-specification
              (variable "CPLUS_INCLUDE_PATH")
              (files '("include")))
             (search-path-specification
              (variable "LIBRARY_PATH")
              (files '("lib" "lib64")))))

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Mar 2018 12:11:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 07:11:19 2018
Received: from localhost ([127.0.0.1]:51792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1euGrm-0000MQ-68
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:11:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1euGrk-0000MC-QV
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:11:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1euGre-00045b-RG
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:11:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46856)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1euGre-00045T-ND
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 07:11:10 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58879)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1euGrd-0002h8-Lc
 for bug-guix@HIDDEN; Fri, 09 Mar 2018 07:11:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1euGra-00043h-FL
 for bug-guix@HIDDEN; Fri, 09 Mar 2018 07:11:09 -0500
Received: from lepiller.eu ([89.234.186.109]:43404)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1euGra-00042P-4v
 for bug-guix@HIDDEN; Fri, 09 Mar 2018 07:11:06 -0500
Received: from webmail.lepiller.eu (static-176-182-42-79.ncc.abo.bbox.fr
 [176.182.42.79]) by lepiller.eu (OpenSMTPD) with ESMTPSA id a5791694
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128:NO) for <bug-guix@HIDDEN>;
 Fri, 9 Mar 2018 12:12:58 +0000 (UTC)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Fri, 09 Mar 2018 13:10:58 +0100
From: julien lepiller <julien@HIDDEN>
To: bug-guix@HIDDEN
Subject: gcc7 doesn't find stdlib.h
Message-ID: <fa5ec97a90a8f52f23fed2654d08078d@HIDDEN>
X-Sender: julien@HIDDEN
User-Agent: Roundcube Webmail/1.3.3
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi,

I'm trying to build a software that requires gcc>=7.2. Unfortunately, 
the process crashes and ends with:

/gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdlib:75:15: 
fatal error: stdlib.h: No such file or directory.

What I'm trying to build is called emojicode, and the current version of 
my package definition can be found here: 
https://framagit.org/tyreunom/guix-more/commit/ca9a77ed4b0a3ae50590f8e8abb9175f42094560




Acknowledgement sent to julien lepiller <julien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30756; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Aug 2018 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.